﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantBusinessLogic.OfficePackage.HelperModels
{
    /// <summary>
    /// Модель для описания объединенных ячеек
    /// </summary>
    public class ExcelMergeParameters
    {
        /// <summary>
        /// Начальная ячейка
        /// </summary>
        public string CellFromName { get; set; } = string.Empty;

        /// <summary>
        /// Конечная ячейка
        /// </summary>
        public string CellToName { get; set; } = string.Empty;

        /// <summary>
        /// Получить диапазон объединения ячеек
        /// </summary>
        public string Merge => $"{CellFromName}:{CellToName}";
    }
}
