﻿using AircraftPlantBusinessLogic.OfficePackage.HelperEnums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantBusinessLogic.OfficePackage.HelperModels
{
    /// <summary>
    /// Модель для передачи данных
    /// для создания абзаца Pdf-файла
    /// </summary>
    public class PdfParagraph
    {
        /// <summary>
        /// Текст абзаца
        /// </summary>
        public string Text { get; set; } = string.Empty;

        /// <summary>
        /// Стиль текста
        /// </summary>
        public string Style { get; set; } = string.Empty;

        /// <summary>
        /// Тип выравнивания текста
        /// </summary>
        public PdfParagraphAlignmentType ParagraphAlignment { get; set; }
    }
}
