﻿using AircraftPlantBusinessLogic.OfficePackage.HelperEnums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantBusinessLogic.OfficePackage.HelperModels
{
    /// <summary>
    /// Модель для передачи данных
    /// для создания строки Pdf-файла
    /// </summary>
    public class PdfRowParameters
    {
        /// <summary>
        /// Список текстов
        /// </summary>
        public List<string> Texts { get; set; } = new();

        /// <summary>
        /// Стиль текста
        /// </summary>
        public string Style { get; set; } = string.Empty;

        /// <summary>
        /// Тип выравнивания текста
        /// </summary>
        public PdfParagraphAlignmentType ParagraphAlignment { get; set; }
    }
}
