﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantBusinessLogic.OfficePackage.HelperModels
{
    /// <summary>
    /// Модель для передачи данных
    /// для создания абзаца файла-Word
    /// </summary>
    public class WordParagraph
    {
        /// <summary>
        /// Список текстов в абзаце
        /// </summary>
        public List<(string, WordTextProperties)> Texts { get; set; } = new();
        
        /// <summary>
        /// Свойства абзаца
        /// </summary>
        public WordTextProperties? TextProperties { get; set; }
    }
}
