﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantBusinessLogic.OfficePackage.HelperModels
{
    /// <summary>
    /// Модель для передачи данных
    /// для создания строки файла-Word
    /// </summary>
    public class WordRow
    {
        /// <summary>
        /// Список текстов в строке
        /// </summary>
        public List<string> Texts { get; set; } = new();

        /// <summary>
        /// Свойства строки
        /// </summary>
        public WordTextProperties? TextProperties { get; set; }
    }
}
