﻿using AircraftPlantDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.BindingModels
{
    /// <summary>
    /// Модель для передачи данных пользователя
    /// в методы для сохранения данных для исполнителей
    /// </summary>
    public class ImplementerBindingModel : IImplementerModel
    {
        /// <summary>
        /// Идентификатор
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// ФИО исполнителя
        /// </summary>
        public string ImplementerFIO { get; set; } = string.Empty;

        /// <summary>
        /// Пароль
        /// </summary>
        public string Password { get; set; } = string.Empty;

        /// <summary>
        /// Опыт работы
        /// </summary>
        public int WorkExperience { get; set; }

        /// <summary>
        /// Квалификация
        /// </summary>
        public int Qualification { get; set; }
    }
}
