﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.SearchModels
{
    /// <summary>
    /// Модель для передачи данных пользователя
    /// в методы для поиска данных для компонентов
    /// </summary>
    public class ComponentSearchModel
    {
        /// <summary>
        /// Идентификатор
        /// </summary>
        public int? Id { get; set; }

        /// <summary>
        /// Название компонента
        /// </summary>
        public string? ComponentName { get; set; }
    }
}
