﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.ViewModels
{
    /// <summary>
    /// Модель для отчета по заказам
    /// </summary>
    public class ReportOrdersViewModel
    {
        /// <summary>
        /// Идентификатор заказа
        /// </summary>
        public int Id { get; set; }
        
        /// <summary>
        /// Дата создания заказа
        /// </summary>
        public DateTime DateCreate { get; set; }
        
        /// <summary>
        /// Название изделия
        /// </summary>
        public string PlaneName { get; set; } = string.Empty;

        /// <summary>
        /// Сумма заказа
        /// </summary>
        public double Sum { get; set; }

        /// <summary>
        /// Статус заказа
        /// </summary>
        public string Status { get; set; } = string.Empty;
    }
}
