﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.ViewModels
{
    /// <summary>
    /// Модель для отчета по компонентам
    /// </summary>
    public class ReportPlaneComponentViewModel
    {
        /// <summary>
        /// Название изделия
        /// </summary>
        public string PlaneName { get; set; } = string.Empty;
        
        /// <summary>
        /// Итоговое количество
        /// </summary>
        public int TotalCount { get; set; }
        
        /// <summary>
        /// Список компонентов изделия
        /// </summary>
        public List<(string Component, int Count)> Components { get; set; } = new();
    }
}
