﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantDataModels.Models
{
    /// <summary>
    /// Интерфейс для модели компонента
    /// </summary>
    public interface IComponentModel : IId
    {
        /// <summary>
        /// Имя компонента
        /// </summary>
        string ComponentName { get; }

        /// <summary>
        /// Стоимость компонента
        /// </summary>
        double Cost { get; }
    }
}
