﻿using AircraftPlantBusinessLogic.OfficePackage.HelperEnums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantBusinessLogic.OfficePackage.HelperModels
{
    /// <summary>
    /// Модель для описания свойств абзаца
    /// </summary>
    public class WordTextProperties
    {
        /// <summary>
        /// Размер шрифта
        /// </summary>
        public string Size { get; set; } = string.Empty;

        /// <summary>
        /// Толщина шрифта
        /// </summary>
        public bool Bold { get; set; }

        /// <summary>
        /// Выравнивание текста
        /// </summary>
        public WordJustificationType JustificationType { get; set; }
    }
}
