﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.BindingModels
{
    /// <summary>
    /// Модель для передачи данных пользователя для отчета
    /// </summary>
    public class ReportBindingModel
    {
        /// <summary>
        /// Название файла
        /// </summary>
        public string FileName { get; set; } = string.Empty;
        
        /// <summary>
        /// Начало периода выборки данных
        /// </summary>
        public DateTime? DateFrom { get; set; }
        
        /// <summary>
        /// Конец периода выборки данных
        /// </summary>
        public DateTime? DateTo { get; set; }
    }
}
