﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.BusinessLogicsContracts
{
    /// <summary>
    /// Интерфейс для описания работы бизнес-логики для имитации деятельности исполнителя
    /// </summary>
    public interface IWorkProcess
    {
        /// <summary>
        /// Запуск работ
        /// </summary>
        void DoWork(IImplementerLogic implementerLogic, IOrderLogic orderLogic);
    }
}
