﻿using AircraftPlantDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.SearchModels
{
    /// <summary>
    /// Модель для передачи данных пользователя
    /// в методы для поиска данных для клиентов
    /// </summary>
    public class ClientSearchModel
    {
        /// <summary>
        /// Идентификатор
        /// </summary>
        public int? Id { get; set; }

        /// <summary>
        /// ФИО клиента
        /// </summary>
        public string? ClientFIO { get; set; }

        /// <summary>
        /// Логин (электронная почта)
        /// </summary>
        public string? Email { get; set; }

        /// <summary>
        /// Пароль
        /// </summary>
        public string? Password { get; set; }
    }
}
