﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.SearchModels
{
    /// <summary>
    /// Модель для передачи данных пользователя
    /// в методы для поиска данных для исполнителей
    /// </summary>
    public class ImplementerSearchModel
    {
        /// <summary>
        /// Идентификатор
        /// </summary>
        public int? Id { get; set; }

        /// <summary>
        /// ФИО исполнителя
        /// </summary>
        public string? ImplementerFIO { get; set; }

        /// <summary>
        /// Пароль
        /// </summary>
        public string? Password { get; set; }
    }
}
