﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.ViewModels
{
    /// <summary>
    /// Модель для отчета по заказам с группировкой по датам
    /// </summary>
    public class ReportGroupOrdersViewModel
    {
        /// <summary>
        /// Дата создания заказа
        /// </summary>
        public DateTime DateCreate { get; set; }

        /// <summary>
        /// Количество изделий
        /// </summary>
        public int Count { get; set; }

        /// <summary>
        /// Сумма заказа
        /// </summary>
        public double Sum { get; set; }
    }
}
