﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantContracts.ViewModels
{
    /// <summary>
    /// Модель для отчета по магазинам с расшифровкой по изделиям
    /// </summary>
    public class ReportShopPlanesViewModel
    {
        /// <summary>
        /// Название магазина
        /// </summary>
        public string ShopName { get; set; } = string.Empty;

        /// <summary>
        /// Максимальное количество изделий
        /// </summary>
        public int TotalCount { get; set; }

        /// <summary>
        /// Список изделий в магазине
        /// </summary>
        public List<(string Plane, int Count)> Planes { get; set; } = new();
    }
}
