﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantDataModels.Models
{
    /// <summary>
    /// Интерфейс для модели клиента
    /// </summary>
    public interface IClientModel : IId
    {
        /// <summary>
        /// ФИО клиента
        /// </summary>
        string ClientFIO { get; }

        /// <summary>
        /// Логин (электронная почта)
        /// </summary>
        string Email { get; }

        /// <summary>
        /// Пароль
        /// </summary>
        string Password { get; }
    }
}
