﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AircraftPlantDataModels.Models
{
    /// <summary>
    /// Интерфейс для модели исполнителя
    /// </summary>
    public interface IImplementerModel : IId
    {
        /// <summary>
        /// ФИО исполнителя
        /// </summary>
        string ImplementerFIO { get; }

        /// <summary>
        /// Пароль
        /// </summary>
        string Password { get; }

        /// <summary>
        /// Опыт работы
        /// </summary>
        int WorkExperience { get; }

        /// <summary>
        /// Квалификация
        /// </summary>
        int Qualification { get; }
    }
}
